Subject: RE: bug#18253: 24.4.50; doc string of `remq': correct it per the doc of `remove'

From: Drew Adams <[email-masked]>
Date: Mon, 25 Aug 2014 15:37:27 -0700 (PDT)

> > > Please explicitly say that `remq' returns a *copy* of LIST, just as we
> > > do in the doc string of `remove'.  It does *not* "Return LIST with all
> > > occurrences of ELT removed."
> 
> IMHO, describing remq to return a copy of list is also confusing.  Since
> it does not return a copy on some cases.

Good point. Perhaps it should say that it returns either a copy or a
tail of the list.  It could say something like this, for example:

 If the only elements in LIST that are `eq' to ELT occur before any
 other elements then a copy is not made: the tail after the last such
 occurrence is returned.

Whatever language we choose, it should be precise wrt what the behavior
is.